#include <iostream>
#include <vector>
#include <tuple>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<pair<double, int>> a(n);
    for (int i = 0;i < n;i++) {
        cin >> a[i].second >> a[i].first;
        a[i].first *= 0.01;
    }
    sort(a.begin(), a.end());
    double x, m, y;
    m = 0;
    x = 0;
    for (int i = n-1;i > -1;i--) {
        x += a[i].second;
        y = x * a[i].first;
        if (y > m)m = y;
    }
    printf("%.4f", m);
}